Capítulo 3. Versiones de Debian

# Capítulo 3. Versiones de Debian

Debian 0.01 hasta 0.90 (agosto-diciembre de 1993).

Debian 0.91 (enero de 1994): esta versión disponía de un sencillo sistema de empaquetamiento que permitía instalar y desinstalar paquetes. Varias docenas de personas formaban parte del proyecto en ese momento.

Debian 0.93R5 (marzo de 1995): en este momento se asignaron responsabilidades de cada paquete a cada uno de los desarrolladores y se empezó a utilizar el administrador de paquetes (dpkg) para instalar los paquetes después de la instalación del sistema base.

Debian 0.93R6 (noviembre de 1995): aparece dselect. Esta fue la última versión de Debian en utilizar el formato binario a.out. En este momento había cerca de 60 desarrolladores. Bdale Garbee construyó el primer servidor master.debian.org y HP lo alojó en paralelo con la publicación de 0.93R6. La utilización de un servidor maestro específico en el cual los desarrolladores de Debian podían construir cada publicación llevó directamente a la formación de una red de réplicas e, indirectamente, al desarrollo de la mayoría de las directrices y procedimientos que se utilizan para gestionar el proyecto en la actualidad.

La versión 1.0 nunca fue publicada: Infomagic, un proveedor de CD, distribuyó accidentalmente una versión de desarrollo de Debian y la denominó 1.0. El 11 de diciembre de 1995, Debian e Infomagic anunciaron conjuntamente que esta versión fue equívoca. Bruce Perens explica que la información incluida en el juego de 5 CD «Recurso para el Desarrollador de Linux Infomagic» de noviembre de 1995 como «Debian 1.0» no es la versión 1.0 de Debian, sino una versión de desarrollo temprana que está solo parcialmente en formato ELF, que probablemente no iniciará o no se ejecutará correctamente, y que no presentará la calidad de un sistema Debian publicado. Para evitar la confusión entre la versión prematura en CD y la auténtica versión de Debian, el proyecto Debian renombró su siguiente versión a «Debian 1.1». La Debian 1.0 prematura en CD está desaprobada y no debe ser usada.

El alojamiento de master.debian.org se trasladó de HP a i-Connect.Net a finales de 1995. Michael Neuffer y Shimon Shapiro, fundadores de i-Connect.Net, alojaron master en su propio hardware durante algo más de un año. Durante ese tiempo proporcionaron muchos servicios a Debian, incluyendo lo que era, esencialmente, el proceso New Maintainer de la época y ayudando significativamente al crecimiento de la primitiva red de réplicas de Debian.

Debian 1.1 Buzz (17 de junio de 1996): primera versión de Debian con un nombre en clave. Se tomó, como todos los demás hasta ahora, de un personaje de las películas de Toy Story... en este caso, Buzz Lightyear. Por entonces, Bruce Perens, que había tomado la dirección del proyecto de Ian Murdock, estaba trabajando en Pixar, la compañía que producía las películas. Esta versión estaba completamente en formato ELF, usaba el núcleo Linux 2.0 y contenía 474 paquetes.

Debian 1.2 Rex (12 de diciembre de 1996): llamada así por el dinosaurio de plástico de la película Toy Story. Esta versión consistió en 848 paquetes mantenidos por 120 desarrolladores.

Debian 1.3 Bo (5 de junio de 1997): el nombre viene de Bo Peep, la pastora. Esta versión consistió en 974 paquetes a cargo de 200 desarrolladores.

Debian 2.0 Hamm (24 de julio de 1998): llamada así por el cerdito de la película Toy Story. Esta fue la primera versión multiplataforma de Debian, agregando soporte para arquitecturas de la serie Motorola 68000. Con Ian Jackson como líder del proyecto, esta versión hizo la transición a libc6 y consistió en más de 1.500 paquetes mantenidos por más de 400 desarrolladores.

Debian 2.1 Slink (March 9th, 1999): Named for the slinky-dog in the movie. Two more architectures were added, Alpha and SPARC. With Wichert Akkerman as Project Leader, this release consisted of about 2250 packages and required 2 CDs in the official set. The key technical innovation was the introduction of apt, a new package management interface. Widely emulated, apt addressed issues resulting from Debian's continuing growth, and established a new paradigm for package acquisition and installation on Open Source operating systems.

Debian 2.2 Potato (15 August 2000): Named for "Mr Potato Head" in the Toy Story movies. This release added support for the PowerPC and ARM architectures. With Wichert still serving as Project Leader, this release consisted of more than 3900 binary packages derived from over 2600 source packages maintained by more than 450 Debian developers.

Debian 3.0 Woody (19 July 2002): Named for the main character the Toy Story movies: "Woody" the cowboy. Even more architectures were added in this release: IA-64, HP PA-RISC, MIPS (big endian), MIPS (little endian) and S/390. This is also the first release to include cryptographic software due to the restrictions for exportation being lightened in the US, and also the first one to include KDE, now that the license issues with Qt were resolved. With Bdale Garbee recently appointed Project Leader, and more than 900 Debian developers, this release contained around 8,500 binary packages and 7 binary CDs in the official set.

Debian 3.1 Sarge (6 June 2005): named for the sergeant of the Green Plastic Army Men. No new architectures were added to the release, although an unofficial AMD64 port was published at the same time and distributed through the new Alioth project hosting site. This release features a new installer: debian-installer, a modular piece of software that feature automatic hardware detection, unattended installation features and was released fully translated to over thirty languages. It was also the first release to include a full office suite: OpenOffice.org. Branden Robinson had just been appointed as Project Leader. This release was made by more than nine hundred Debian developers, and contained around 15,400 binary packages and 14 binary CDs in the official set.

Debian 4.0 Etch (8 April 2007): named for the sketch toy in the movie. One architecture was added in this release: AMD64, and official support for m68k was dropped. This release continued using the debian-installer, but featuring in this release a graphical installer, cryptographic verification of downloaded packages, more flexible partitioning (with support for encrypted partitions), simplified mail configuration, a more flexible desktop selection, simplified but improved localization and new modes, including a rescue mode. New installations would not need to reboot through the installation process as the previous two phases of installation were now integrated. This new installer provided support for scripts using composed characters and complex languages in its graphical version, increasing the number of available translations to over fifty. Sam Hocevar was appointed Project Leader the very same day, and the project included more than one thousand and thirty Debian developers. The release contained around 18,000 binary packages over 20 binary CDs (3 DVDs) in the official set. There were also two binary CDs available to install the system with alternate desktop environments different to the default one.

Debian 5.0 Lenny (February 2009): named for the wind up binoculars in the Toy Story movies. One architecture was added in this release: ARM EABI (or armel), providing support for newer ARM processors and deprecating the old ARM port (arm). The m68k port was not included in this release, although it was still provided in the unstable distribution. This release did not feature the FreeBSD port, although much work on the port had been done to make it qualify it did not meet yet the qualification requirements for this release.

En esta versión se aumentó el número de dispositivos de dimensiones reducidas soportados al añadirse soporte para la plataforma Orion de Marvell, que se usaba en muchos dispositivos de almacenamiento y proporcionaba soporte para varios netbooks. Se añadieron algunas herramientas de compilación nuevas que permitían la compilación cruzada de paquetes Debian y su contracción para sistemas ARM empotrados. Además, se empezaron a soportar netbooks de varios fabricantes y a proporcionar software más apropiado para equipos con prestaciones relativamente bajas.

Fue también la primera versión que proporcionó implementaciones libres de la tecnología Java de Sun, haciendo posible la distribución de aplicaciones Java en la sección main.

Debian 6.0 Squeeze (febrero de 2011): llamada así por los alienígenas verdes con tres ojos.

La versión se congeló el 6 de agosto de 2010, con muchos de los desarrolladores de Debian reunidos en la ciudad de Nueva York para asistir a la décima DebConf.

While two architectures (alpha and hppa) were dropped, two architectures of the new FreeBSD port (kfreebsd-i386 and kfreebsd-amd64) were made available as technology preview, including the kernel and userland tools as well as common server software (though not advanced desktop features yet). This was the first time a Linux distribution has been extended to also allow use of a non-Linux kernel.

Esta versión introdujo una secuencia de arranque basada en dependencias, lo que permitía el procesamiento en paralelo de los scripts de inicio y, en consecuencia, aceleraba el encendido del sistema.

Debian 6 was the first release that benefited from Long Term Support (LTS), a project to extend the lifetime of all Debian stable releases to (at least) 5 years. Debian LTS was not handled by the Debian Security team, but by a separate group of volunteers and companies interested in making it a success. Debian 6 was supported until the end of February 2016, and limited to i386 and amd64 architectures.

Debian 7.0 Wheezy (mayo de 2013): llamada así por el pingüino de goma con una pajarita roja.

La versión se congeló el 30 de junio de 2012, fecha muy próxima a la reunión de los desarrolladores de Debian en Managua, Nicaragua, con motivo de la decimosegunda DebConf.

Esta versión incluía una nueva arquitectura (armhf) e introdujo el soporte de multiarquitectura, que permitía que los usuarios instalaran en una misma máquina paquetes de múltiples arquitecturas. Mejoras en el proceso de instalación permitieron, por primera vez, que personas con discapacidad visual instalaran el sistema gracias al uso de software de voz.

Esta fue también la primera versión que permitió la instalación y el arranque desde dispositivos con firmware UEFI.

Debian 7 had Long Term Support (LTS) for i386, amd64, armel and armhf architectures until the end of May 2018.

Debian 8 Jessie (abril de 2015): llamada así por la muñeca vaquera que apareció por primera vez en Toy Story 2.

This release introduced for the first time the systemd init system as default. Two new architectures were introduced: arm64 and ppc64el and three architectures were dropped: s390 (replaced by s390x), ia64 and sparc. The Sparc architecture had been present in Debian for 16 years, but lacked developer support to make it maintainable in the distribution.

The release included many security improvements such as a new kernel that nullified a whole set of security vulnerabilities (symlink attacks), a new way to detect packages which were under security support, more packages built with hardened compiler flags and a new mechanism (needrestart) to detect sub-systems which had to be restarted in order to propagate security updates after an upgrade.

Debian 8 had Long Term Support (LTS) for i386, amd64, armel and armhf architectures until the end of June 2020.

Debian 9 Stretch (junio de 2017): llamada así por la pulpo de goma con ventosas en sus ocho largos brazos que apareció en Toy Story 3.

Esta versión se congeló el 7 de febrero de 2017.

Debian 9 was dedicated to the project's founder Ian Murdock, who passed away on 28 December 2015.

Support for the powerpc architecture was dropped in this release, whileas the mips64el architecture was introduced. This release introduced debug packages with a new repository in the archive, packages from this repository provided debug symbols automatically for packages. Firefox and Thunderbird returned to Debian, replacing their debranded versions Iceweasel and Icedove, which were present in the archive for more than 10 years. Thanks to the Reproducible Builds project, over 90% of the source packages included in Debian 9 were able to build bit-for-bit identical binary packages.

Debian 9 had Long Term Support (LTS) for i386, amd64, armel and armhf architectures until the end of June 2022.

Debian 10 Buster (July 2019): named for Andy's pet dog, received as Christmas present in the end of Toy Story.

With this release Debian for the first time included a mandatory access control framework enabled per default (AppArmor). It was also the first Debian release to ship with Rust based programs such as Firefox, ripgrep, fd, exa, etc. and a significant number of Rust based libraries (more than 450). In Debian 10 GNOME defaults to using the Wayland display server instead of Xorg, providing a simpler and more modern design and advantages for security. The UEFI ("Unified Extensible Firmware Interface") support first introduced in Debian 7 continued to be greatly improved in Debian 10, being included for amd64, i386 and arm64 architectures and working out of the box on most Secure Boot-enabled machines.

Debian 10 had Long Term Support (LTS) for i386, amd64, armel and armhf architectures until the end of June 2024.

Debian 11 Bullseye (August 14th, 2021): named for Woody's wooden toyhorse that appeared in Toy Story 2.

This release contained over 11,294 new packages for a total count of 59,551 packages, along with a significant reduction of over 9,519 packages which were marked as "obsolete" and removed. 42,821 packages were updated and 5,434 packages remained unchanged.

Debian 11 allowed driverless printing and scanning without the need for vendor specific (often non-free) drivers, and shipped a Linux kernel with support for the exFAT filesystem. The mips architecture support was dropped, keeping support for mipsel (little-endian) architectures for 32-bit hardware and mips64el architecture for 64-bit little-endian hardware.

The Debian Med team took part in the fight against COVID-19 by packaging software for researching the virus on the sequence level and for fighting the pandemic with the tools used in epidemiology; this work continued with focus on machine learning tools for both fields.

Debian 12 Bookworm (June 10th, 2023): named for a green toy worm with a built-in flashlight that appeared in Toy Story 3.

This release contained over 11,089 new packages for a total count of 64,419 packages, while over 6,296 packages have been removed as "obsolete". 43,254 packages were updated in this release. The overall disk usage for bookworm is 365,016,420 kB (365 GB), and is made up of 1,341,564,204 lines of code.

Following the 2022 General Resolution about non-free firmware, the Debian Social Contract got adjusted and a new archive area called non-free-firmware got introduced, making it possible to separate non-free firmware from the other non-free packages. Most non-free firmware packages have been moved from non-free to non-free-firmware. This separation makes it possible to build a variety of official installation images. And it makes installing Debian on popular hardware using the official Debian installer much easier.

A total of nine architectures are officially supported for bookworm.

The Debian Cloud team publishes bookworm for three popular cloud computing services.

Between releases, in Bug#978636 (Feb 2021), the Technical Committee resolved that Debian bookworm would support only the merged-usr[1] root filesystem layout, dropping support for the non-merged-usr layout. For systems installed as buster or bullseye there would be no changes to the filesystem; however, systems using the older layout would be converted during the upgrade.

Thanks to the combined work of the Debian Security team and the Debian Long Term Support team, bookworm will be supported on four architectures until June 2028 (5 years after release).

Debian 13 Trixie (as of August 2024 the testing distribution): Trixie is a blue toy Triceratops that appeared in Toy Story 3.

[1] usr-merge (or merged-usr or `/usr`-move) is a filesystem layout where the traditional unix directories `/bin`, `/sbin`, `/lib` and `/lib64` are replaced by symbolic links to their counterparts under `/usr`. So e.g. `/bin` is replaced by a symlink to `/usr/bin` . In 2012, usr-merge was implemented by Fedora Linux as well as by Ubuntu Linux. See also The Case For The Usr Merge and the Bookworm Release Notes.

Capítulo 2. Líderes |  | Capítulo 4. La historia detallada